using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using FingersDance.Control.TimeLine;
using FingersDance.ViewModels;

namespace FingersDance.Actions
{
    public class ActionAddAnnotation : FingersDance.Actions.ActionBase
    {
        private string _Text = "";
        private UserControlTimeLine myTimeline;
        private AnnotationViewModel myAnnotationViewModel;

        public ActionAddAnnotation()
        {
            
        }

        public ActionAddAnnotation(string text)
        {
            _Text = text;
        }

        public ActionAddAnnotation(List<Object> args)
        {
            myTimeline = (UserControlTimeLine)args[0];
            myAnnotationViewModel = (AnnotationViewModel)args[1];
        }

        public void Execute()
        {
            if (myTimeline != null)
                myTimeline.addAnnotation(myAnnotationViewModel);
        }
    }
}
